For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sites

Get Site

get

Returns details for a specific site.

Authorizations
AuthorizationstringRequired
Path parameters
uuidstring · uuidRequired
Responses
200

Successful Response

application/json
uuidstring · uuidRequired
namestringRequired
get/v2/sites/{uuid}
GET /api/v2/sites/{uuid} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "uuid": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text"
}

Delete Site

delete

Delete a site

Authorizations
AuthorizationstringRequired
Path parameters
uuidstring · uuidRequired
Responses
204

Site successfully deleted.

No content

delete/v2/sites/{uuid}
DELETE /api/v2/sites/{uuid} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*

No content

Update Site

patch

Update details of a specific site.

Authorizations
AuthorizationstringRequired
Path parameters
uuidstring · uuidRequired
Body
namestring · min: 1Optional
Responses
200

Successful Response

application/json
anyOptional
patch/v2/sites/{uuid}
PATCH /api/v2/sites/{uuid} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}

No content

Get Sites

get

Returns a list of physical production sites available in your organization.

Authorizations
AuthorizationstringRequired
Query parameters
cursorstringOptional
limitinteger · min: 1 · max: 1000Optional

Caps the page size. Defaults to 1000, which is also the maximum; a value below 1 or above 1000 is rejected.

Default: 1000
Responses
200

Successful Response

application/json
get/v2/sites
GET /api/v2/sites HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "uuid": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    }
  ],
  "metadata": {
    "next_cursor": "text"
  }
}

Create Site

post

Create a site.

Authorizations
AuthorizationstringRequired
Body
namestringRequired
Responses
201

Successful Response

application/json
uuidstring · uuidRequired
namestringRequired
post/v2/sites
POST /api/v2/sites HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "name": "text"
}
{
  "uuid": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text"
}

Last updated